#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor, themeMode, EPGSearchBQonly, EPGSearchFull, ScreenshotOnRCU, MinMovieList, MinTimerList, MinEPGList, MovieSearchExtended, MovieSearchShort, RemoteControlView, showPicons, showPiconBackground, ZapStream, showIPTVChannelsInSelection, useSreenshotChannelName, useNowNextColumns
from Plugins.Extensions.OpenWebif.controllers.defaults import OPENWEBIFVER, OPENWEBIFPACKAGEVERSION, USERCSSRESPONSIVE
from json import dumps

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.5'
__CHEETAH_versionTuple__ = (3, 2, 5, 'final', 0)
__CHEETAH_genTime__ = 1624893794.4618752
__CHEETAH_genTimestamp__ = 'Mon Jun 28 15:23:14 2021'
__CHEETAH_src__ = '/home/oe1/atv65mipsel/build-enviroment/builds/openatv/release/dm820/tmp/work/mips32el-oe-linux/enigma2-plugin-extensions-openwebif/1.4.6+gitAUTOINC+f91a80517e-r0/git/plugin/controllers/views/responsive/main.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Jun 28 15:23:02 2021'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class main(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(main, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''
''')
        skinPrefOptions = [	{'value': 'black', 'label': 'Black'}, 	{'value': 'grey-darken-4', 'label': 'Dark Grey'}, 	{'value': 'blue-grey', 'label': 'Blue Grey'}, 	{'value': 'grey', 'label': 'Grey'}, 	{'value': 'red', 'label': 'Red'}, 	{'value': 'pink', 'label': 'Pink'}, 	{'value': 'purple', 'label': 'Purple'}, 	{'value': 'deep-purple', 'label': 'Deep Purple'}, 	{'value': 'indigo', 'label': 'Indigo'}, 	{'value': 'blue', 'label': 'Blue'}, 	{'value': 'light-blue', 'label': 'Light Blue'}, 	{'value': 'cyan', 'label': 'Cyan'}, 	{'value': 'teal', 'label': 'Teal'}, 	{'value': 'green', 'label': 'Green'}, 	{'value': 'light-green', 'label': 'Light Green'}, 	{'value': 'lime', 'label': 'Lime'}, 	{'value': 'yellow', 'label': 'Yellow'}, 	{'value': 'amber', 'label': 'Amber'}, 	{'value': 'orange', 'label': 'Orange'}, 	{'value': 'deep-orange', 'label': 'Deep Orange'}, 	{'value': 'brown', 'label': 'Brown'}, 	{'value': 'white', 'label': 'White'}]
        write('''
<!doctype html>
<html lang="''')
        _v = VFFSL(SL,"stbLang",True) # '$stbLang' on line 32, col 13
        if _v is not None: write(_filter(_v, rawExpr='$stbLang')) # from line 32, col 13.
        write('''">
<head>
\t<title>''')
        _v = VFFSL(SL,"boxname",True) # '$boxname' on line 34, col 9
        if _v is not None: write(_filter(_v, rawExpr='$boxname')) # from line 34, col 9.
        write(''' - OpenWebif</title>
\t<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
\t<meta charset="UTF-8">
\t<meta name="viewport" content="width=device-width, initial-scale=0.86, maximum-scale=3.0, minimum-scale=0.86"><!-- https://developer.mozilla.org/en-US/docs/Mozilla/Mobile/Viewport_meta_tag -->
\t<meta http-equiv="X-UA-Compatible" content="IE=edge">
\t<meta name="description" content="">
\t<meta name="author" content="">
\t<link rel="shortcut icon" href="/images/favicon.png">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/vti/vti-fonts.css">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/vti/vti-material-icons.css">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/bootstrap/css/bootstrap.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/node-waves/waves.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/animate-css/animate.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/bootstrap-select/css/bootstrap-select.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/sweetalert/sweetalert.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/choices/choices.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/css/style.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/css/themes/all-themes.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/css/vti-bootstrap-chosen.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/css/vti-timepicker.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/css/vti-responsive.min.css">

\t<style>
\t\t.page-loader-wrapper { background: rgba(156,156,156, 0.2); }
\t</style>

\t<script src="/js/jquery.min.js"></script>
\t<script src="/js/jquery-ui.min.js"></script>
\t<script src="/js/openwebif.min.js?v1.2.21"></script>
\t<script src="/js/chosen.1.8.2.min.js"></script>
\t<script>initJsTranslation(''')
        _v = VFFSL(SL,"dumps",False)(VFFSL(SL,"tstrings",True)) # '$dumps($tstrings)' on line 64, col 28
        if _v is not None: write(_filter(_v, rawExpr='$dumps($tstrings)')) # from line 64, col 28.
        write(''')</script>
</head>

<body class="theme--''')
        _v = VFFSL(SL,"themeMode",True) # '$themeMode' on line 67, col 21
        if _v is not None: write(_filter(_v, rawExpr='$themeMode')) # from line 67, col 21.
        write(''' skin--''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 67, col 38
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 67, col 38.
        write('''" data-thememode="''')
        _v = VFFSL(SL,"themeMode",True) # '$themeMode' on line 67, col 66
        if _v is not None: write(_filter(_v, rawExpr='$themeMode')) # from line 67, col 66.
        write('''" data-skinpref="''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 67, col 93
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 67, col 93.
        write('''">
\t<!-- Overlay For Sidebars -->
\t<div class="overlay"></div>
\t<div class="search-bar search-bar-epg">
\t\t<div class="search-icon">
\t\t\t<div class="start-search">
\t\t\t\t<i class="material-icons">search</i>
\t\t\t</div>
\t\t</div>
\t\t<form action="#ajax/srch" method="get" onsubmit="window.location=\'#epgdialog?bouquetsonly=1\'; return false;">
\t\t\t<input type="text" name="sstr" id="epgsearchtext" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['start_typing'] # "$tstrings['start_typing']" on line 77, col 67
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['start_typing']")) # from line 77, col 67.
        write(''' ( ''')
        _v = VFFSL(SL,"tstrings",True)['epgsearch'] # "$tstrings['epgsearch']" on line 77, col 95
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epgsearch']")) # from line 77, col 95.
        write(''' ) ...">
\t\t</form>
\t\t<div class="close-search">
\t\t\t<span class="start-search">
\t\t\t\t<i class="material-icons">search</i>
\t\t\t</span>
\t\t\t<i class="material-icons">close</i>
\t\t</div>
\t</div>
''')
        if VFFSL(SL,"vti",True) == "1": # generated from line 86, col 2
            write('''\t<div class="search-bar search-bar-movie">
\t\t<div class="search-icon">
\t\t\t<div class="start-search">
\t\t\t\t<i class="material-icons">search</i>
\t\t\t</div>
\t\t</div>
\t\t<input type="text" name="moviesearchtext" id="moviesearchtext" placeholder="''')
            _v = VFFSL(SL,"tstrings",True)['start_typing'] # "$tstrings['start_typing']" on line 93, col 79
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['start_typing']")) # from line 93, col 79.
            write(''' ( ''')
            _v = VFFSL(SL,"tstrings",True)['moviesearch'] # "$tstrings['moviesearch']" on line 93, col 107
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['moviesearch']")) # from line 93, col 107.
            write(''' ) ...">
\t\t<div class="close-search">
\t\t\t<span class="start-search">
\t\t\t\t<i class="material-icons">search</i>
\t\t\t</span>
\t\t\t<i class="material-icons">close</i>
\t\t</div>
\t</div>
''')
        write('''\t<span id="topmenuheader">
\t\t<nav class="navbar">
\t\t\t<div class="container-fluid" ondblclick="owif.gui.fullscreen();">
\t\t\t\t<div class="navbar-header">
\t\t\t\t\t<a href="javascript:void(0);" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse" aria-expanded="false"></a>
\t\t\t\t\t<a href="javascript:void(0);" class="bars" id="leftsidebarin"></a>
\t\t\t\t\t<a href="/" class="navbar-brand">OpenWebif</a>
\t\t\t\t\t<a href="javascript:void(0);" class="navbar-brand material-icons" data-toggle="modal" data-target="#OwifVersionModal" style="margin-left: 0;padding-left: 0;font-size: 100%;margin-top: -3px;">info</a>
\t\t\t\t</div>
\t\t\t\t<div class="collapse navbar-collapse pull-right align-right" id="navbar-collapse">
\t\t\t\t\t<ul class="nav navbar-nav navbar-right">
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_osd_current"></li>
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_osd_cur_event"></li>
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_osd_stream"></li>
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_osd_transcoding"></li>
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_mute_status" accesskey="x" title="Mute/Unmute - Shortcut: x"></li><!-- TODO: i10n -->
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_vol_slider"><a href="javascript:void(0);"><div id="volslider" style="width:100px;margin-top:2px;"></div></a></li>
\t\t\t\t\t\t<li class="osd-toggle" id="responsive_vol_value"><a><div class="dropdown-toggle" id="volumevalue"><b><span class="curvolume"></span></b></div></a></li>
\t\t\t\t\t\t<!-- Call Search -->
\t\t\t\t\t\t<li><a href="javascript:void(0);" class="js-search-epg" data-close="true" title="''')
        _v = VFFSL(SL,"tstrings",True)['epgsearch'] # "$tstrings['epgsearch']" on line 121, col 88
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epgsearch']")) # from line 121, col 88.
        write(''' - Shortcut: f" accesskey="f"><i class="material-icons">search</i></a></li>
''')
        if VFFSL(SL,"vti",True) == "1": # generated from line 122, col 7
            write('''\t\t\t\t\t\t<li><a href="javascript:void(0);" class="js-search-movie" data-close="true" title="''')
            _v = VFFSL(SL,"tstrings",True)['moviesearch'] # "$tstrings['moviesearch']" on line 123, col 90
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['moviesearch']")) # from line 123, col 90.
            write('''"><i class="material-icons">youtube_searched_for</i></a></li>
''')
        write('''\t\t\t\t\t\t<!-- #END# Call Search -->
\t\t\t\t\t\t<li class="dropdown" id="responsive_rec_info"></li>
\t\t\t\t\t\t<li class="dropdown" id="responsive_stream_info"></li>
\t\t\t\t\t\t<li class="dropdown"><a href=\'javascript:void(0);\' data-toggle="modal" data-target="#SendMessageModal" title="''')
        _v = VFFSL(SL,"tstrings",True)['sendamessage'] # "$tstrings['sendamessage']" on line 128, col 117
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['sendamessage']")) # from line 128, col 117.
        write(''' - Shortcut: n" accesskey="n"><i class="material-icons">message</i></a></li>
\t\t\t\t\t\t<li class="dropdown"><a href="#screenshot" title="''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # "$tstrings['grabscreenshot']" on line 129, col 57
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['grabscreenshot']")) # from line 129, col 57.
        write(''' - Shortcut: s" accesskey="s"><i class="material-icons">photo_camera</i></a></li>
\t\t\t\t\t\t<!-- #END# Notifications -->
\t\t\t\t\t\t<li id="osd_power_status"></li>
\t\t\t\t\t\t<li class="dropdown"><a href=\'javascript:void(0);\' data-toggle="modal" data-target="#PowerModal" title="''')
        _v = VFN(VFFSL(SL,"tstrings",True)['powercontrol'],"replace",False)(' ','&nbsp;') # "$tstrings['powercontrol'].replace(' ','&nbsp;')" on line 132, col 111
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['powercontrol'].replace(' ','&nbsp;')")) # from line 132, col 111.
        write(''' - Shortcut: p" accesskey="p"><i class="material-icons">settings_power</i></a></li>
\t\t\t\t\t\t<!-- #END# Tasks -->
\t\t\t\t\t\t<li><a href="javascript:void(0);" class="js-right-sidebar" data-close="true"><i class="material-icons">settings</i></a></li>
\t\t\t\t\t</ul>
\t\t\t\t</div>
\t\t\t</div>
\t\t</nav>
\t\t<!-- #Top Bar -->
\t\t<section>
\t\t\t<!-- Left Sidebar -->
\t\t\t<aside id="leftsidebar" class="sidebar">
\t\t\t\t<!-- Menu -->
\t\t\t\t<div class="menu" id="leftsidemenu">
\t\t\t\t\t<ul class="list leftnav">
''')
        if not VFFSL(SL,"showname",True): # generated from line 146, col 7
            boxname = VFFSL(SL,"tstrings",True)['box_info']
        write('''\t\t\t\t\t\t<li class="header" id="leftsidemenuheader">''')
        _v = VFFSL(SL,"boxname",True) # '$boxname' on line 149, col 50
        if _v is not None: write(_filter(_v, rawExpr='$boxname')) # from line 149, col 50.
        write('''</li>
\t\t\t\t\t\t<li class="active" style="display:none;"></li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#screenshot" class="menu-toggle">
\t\t\t\t\t\t\t\t<i class="material-icons">dialpad</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['remote'] # "$tstrings['remote']" on line 154, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['remote']")) # from line 154, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t\t<ul class="ml-menu noselect">
\t\t\t\t\t\t\t\t<li class="collapse">
\t\t\t\t\t\t\t\t\t<a href="#" title="''')
        _v = VFN(VFFSL(SL,"tstrings",True)['showfullremote'],"replace",False)(' ', '&nbsp;') # "$tstrings['showfullremote'].replace(' ', '&nbsp;')" on line 158, col 29
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['showfullremote'].replace(' ', '&nbsp;')")) # from line 158, col 29.
        write('''" onclick="toggleFullRemote();return false;">Full</a>
\t\t\t\t\t\t\t\t</li>
''')
        if VFFSL(SL,"RemoteControlView",True) == 'checked': # generated from line 160, col 10
            write('''\t\t\t\t\t\t\t\t\t<span style="display:None;" id="symbolRemoteView">
''')
        else: # generated from line 162, col 10
            write('''\t\t\t\t\t\t\t\t\t<span id="symbolRemoteView">
''')
        write('''\t\t\t\t\t\t\t\t\t<li class="align-center" style="margin-top:-30px;">
\t\t\t\t\t\t\t\t\t\t<span data-toggle="collapse" data-target="#rcunumbers" aria-expanded="false" aria-controls="collapseExample" style="cursor:pointer;" title="Show more buttons"><i class="material-icons material-icons-centered">arrow_drop_up</i></span>
\t\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t\t<section class="remote__group remote__group--numerical collapse" id="rcunumbers">
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'2\');" title="1" class="remote__button icon"><i class="material-icons">filter_1</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'3\');" title="2" class="remote__button icon"><i class="material-icons">filter_2</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'4\');" title="3" class="remote__button icon"><i class="material-icons">filter_3</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'5\');" title="4" class="remote__button icon"><i class="material-icons">filter_4</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'6\');" title="5" class="remote__button icon"><i class="material-icons">filter_5</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'7\');" title="6" class="remote__button icon"><i class="material-icons">filter_6</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'8\');" title="7" class="remote__button icon"><i class="material-icons">filter_7</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'9\');" title="8" class="remote__button icon"><i class="material-icons">filter_8</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'10\');" title="9" class="remote__button icon"><i class="material-icons">filter_9</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'412\');" title="&lt;" class="remote__button icon"><i class="material-icons">navigate_before</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'11\');" title="0" class="remote__button icon"><i class="material-icons">exposure_zero</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'407\');" title="&gt;" class="remote__button icon"><i class="material-icons">navigate_next</i></button>
\t\t\t\t\t\t\t\t\t\t</section>
\t\t\t\t\t\t\t\t\t\t<section class="remote__group">
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="toggleMute(); return false;" title="Mute" class="remote__button icon"><i class="material-icons">volume_off</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'114\');" title="Vol-" class="remote__button icon"><i class="material-icons">volume_down</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'115\');" title="Vol+" class="remote__button icon"><i class="material-icons">volume_up</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="toggleStandby(); return false;" title="Power" class="remote__button remote__button--power icon"><i class="material-icons">power_settings_new</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'377\');" title="TV" class="remote__button icon"><i class="material-icons">tv</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'385\');" title="Radio" class="remote__button icon"><i class="material-icons">radio</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'393\');" title="List" class="remote__button icon"><i class="material-icons">movie</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'102\');" title="Home" class="remote__button icon"><i class="material-icons">home</i></button>
\t\t\t\t\t\t\t\t\t\t</section>
\t\t\t\t\t\t\t\t\t\t<section class="remote__group remote__group--directional">
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'139\');" title="Menu" class="remote__button icon"><i class="material-icons">menu</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'103\');" title="Up" class="remote__button icon remote__button--arrow"><i class="material-icons">keyboard_arrow_up</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'358\');" title="Info" class="remote__button icon"><i class="material-icons">info_outline</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'105\');" title="Left" class="remote__button icon remote__button--arrow"><i class="material-icons">keyboard_arrow_left</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'352\');" title="OK" class="remote__button icon remote__button--arrow"><i class="material-icons">thumb_up_alt</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'106\');" title="Right" class="remote__button icon remote__button--arrow"><i class="material-icons">keyboard_arrow_right</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'158\');" title="Back" class="remote__button icon"><i class="material-icons">keyboard_return</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'108\');" title="Down" class="remote__button icon remote__button--arrow"><i class="material-icons">keyboard_arrow_down</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'174\');" title="Exit" class="remote__button icon"><i class="material-icons">clear</i></button>
\t\t\t\t\t\t\t\t\t\t</section>
\t\t\t\t\t\t\t\t\t\t<section class="remote__group">
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'365\');" title="EPG" class="remote__button icon"><i class="material-icons">view_list</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'627\');" title="VOD" class="remote__button icon"><i class="material-icons">ondemand_video</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'403\');" title="CH-" class="remote__button icon"><i class="material-icons">remove</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'402\');" title="CH+" class="remote__button icon"><i class="material-icons">add</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'398\');" title="Red" class="remote__button icon remote__button--colour"><i class="material-icons" style="color: #F44336;">call_to_action</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'399\');" title="Green" class="remote__button icon remote__button--colour"><i class="material-icons" style="color: #4CAF50;">call_to_action</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'400\');" title="Yellow" class="remote__button icon remote__button--colour"><i class="material-icons" style="color: #ffe821;">call_to_action</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'401\');" title="Blue" class="remote__button icon remote__button--colour"><i class="material-icons" style="color: #2196F3;">call_to_action</i></button>
\t\t\t\t\t\t\t\t\t\t</section>
\t\t\t\t\t\t\t\t\t\t<section class="remote__group collapse" id="rcuplayerkeys">
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'168\');" title="FastRewind" class="remote__button icon"><i class="material-icons">fast_rewind</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'207\');" title="Play" class="remote__button icon"><i class="material-icons">play_arrow</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'119\');" title="Pause" class="remote__button icon"><i class="material-icons">pause</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'208\');" title="FastForward" class="remote__button icon"><i class="material-icons">fast_forward</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'370\');" title="Subtitle" class="remote__button icon"><i class="material-icons">subtitles</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'167\');" title="Record" class="remote__button icon"><i class="material-icons" style="color: #F44336;">fiber_manual_record</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'128\');" title="Stop" class="remote__button icon"><i class="material-icons">stop</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="pressMenuRemote(\'392\');" title="Audio" class="remote__button icon"><i class="material-icons">audiotrack</i></button>
\t\t\t\t\t\t\t\t\t\t</section>
\t\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t\t<li class="align-center">
\t\t\t\t\t\t\t\t\t\t<span data-toggle="collapse" data-target="#rcuplayerkeys" aria-expanded="false" aria-controls="collapseExample" style="cursor:pointer;" title="Show more buttons"><i class="material-icons material-icons-centered">arrow_drop_down</i></span>
\t\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t</span>
''')
        if VFFSL(SL,"RemoteControlView",True) == 'checked': # generated from line 229, col 9
            write('''\t\t\t\t\t\t\t\t\t<li id="fullRemoteView">
\t\t\t\t\t\t\t\t\t\t<div id="remote_container" style="width:100%; text-align:center;"></div>
\t\t\t\t\t\t\t\t\t<li>
''')
        else: # generated from line 233, col 9
            write('''\t\t\t\t\t\t\t\t\t<li id="fullRemoteView" style="display:None;">
\t\t\t\t\t\t\t\t\t\t<div id="remote_container" style="width:100%; text-align:center;"></div>
\t\t\t\t\t\t\t\t\t<li>
''')
        write('''\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<table style="margin: 0 auto;">
\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t<td colspan="2">
\t\t\t\t\t\t\t\t\t\t\t\t<h6>''')
        _v = VFFSL(SL,"tstrings",True)['shiftforlong'] # "$tstrings['shiftforlong']" on line 242, col 17
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['shiftforlong']")) # from line 242, col 17.
        write('''</h6>
\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t<td><!-- TODO: i10n -->
\t\t\t\t\t\t\t\t\t\t\t\t<span style="cursor:pointer;" title="Enable/Disable Screenshot on key press or ''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # "$tstrings['grabscreenshot']" on line 247, col 92
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['grabscreenshot']")) # from line 247, col 92.
        write('''" onclick="load_maincontent(\'ajax/screenshot\');return false;">''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # "$tstrings['grabscreenshot']" on line 247, col 181
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['grabscreenshot']")) # from line 247, col 181.
        write('''</span>
\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t\t\t\t<span class="m-r-10 font-12"></span>
\t\t\t\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="remotegrabscreen1" id="remotegrabscreen1" ''')
        _v = VFFSL(SL,"ScreenshotOnRCU",True) # '$ScreenshotOnRCU' on line 253, col 86
        if _v is not None: write(_filter(_v, rawExpr='$ScreenshotOnRCU')) # from line 253, col 86.
        write(''' class="remotegrabscreen">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t<td colspan="2">
\t\t\t\t\t\t\t\t\t\t\t\t<p></p>
\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t</table>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#tv" data-close="true" accesskey="v" title="Shortcut: v">
\t\t\t\t\t\t\t\t<i class="material-icons">tv</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['television'] # "$tstrings['television']" on line 271, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['television']")) # from line 271, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#radio" data-close="true" accesskey="r" title="Shortcut: r">
\t\t\t\t\t\t\t\t<i class="material-icons">radio</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['radio'] # "$tstrings['radio']" on line 277, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['radio']")) # from line 277, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#myepg?epgmode=tv" data-close="true" accesskey="e" title="Shortcut: e">
\t\t\t\t\t\t\t\t<i class="material-icons">view_list</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['epg'] # "$tstrings['epg']" on line 283, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epg']")) # from line 283, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#movies" data-close="true" accesskey="m" title="Shortcut: m">
\t\t\t\t\t\t\t\t<i class="material-icons">movie</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['movies'] # "$tstrings['movies']" on line 289, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['movies']")) # from line 289, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#timers" data-close="true" accesskey="t" title="Shortcut: t">
\t\t\t\t\t\t\t\t<i class="material-icons">alarm</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['timers'] # "$tstrings['timers']" on line 295, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['timers']")) # from line 295, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
''')
        for extra in VFFSL(SL,"extras",True): # generated from line 298, col 7
            if VFFSL(SL,"extra",True)["key"] in ("ajax/at",): # generated from line 299, col 8
                write('''\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<a href="#at" data-close="true" accesskey="a" title="Shortcut: a">
\t\t\t\t\t\t\t\t\t\t<i class="material-icons">av_timer</i>
\t\t\t\t\t\t\t\t\t\t<span>''')
                _v = VFFSL(SL,"extra",True)["description"] # '$extra["description"]' on line 303, col 17
                if _v is not None: write(_filter(_v, rawExpr='$extra["description"]')) # from line 303, col 17.
                write('''</span>
\t\t\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t\t\t</li>
''')
        write('''\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#settings" data-close="true" accesskey="c" title="Shortcut: c">
\t\t\t\t\t\t\t\t<i class="material-icons">settings</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # "$tstrings['settings']" on line 311, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['settings']")) # from line 311, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#bqe" data-close="true" accesskey="b" title="Shortcut: b">
\t\t\t\t\t\t\t\t<i class="material-icons">view_list</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['Bouquet_Editor'] # "$tstrings['Bouquet_Editor']" on line 317, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['Bouquet_Editor']")) # from line 317, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#satfinder" data-close="true" accesskey="o" title="Shortcut: o">
\t\t\t\t\t\t\t\t<i class="material-icons">wifi</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['satfinder'] # "$tstrings['satfinder']" on line 323, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['satfinder']")) # from line 323, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#boxinfo" data-close="true" accesskey="i" title="Shortcut: i">
\t\t\t\t\t\t\t\t<i class="material-icons">info</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['box_info'] # "$tstrings['box_info']" on line 329, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['box_info']")) # from line 329, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="javascript:void(0);" class="menu-toggle">
\t\t\t\t\t\t\t\t<i class="material-icons">widgets</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['extras'] # "$tstrings['extras']" on line 335, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['extras']")) # from line 335, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t\t<ul class="ml-menu">
''')
        if VFFSL(SL,"webtv",True): # generated from line 338, col 8
            write('''\t\t\t\t\t\t\t\t<li><a href="#webtv" data-close="true" accesskey="w" title="Shortcut: w">''')
            _v = VFFSL(SL,"tstrings",True)['webtv'] # "$tstrings['webtv']" on line 339, col 82
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['webtv']")) # from line 339, col 82.
            write('''</a></li>
''')
        for extra in VFFSL(SL,"extras",True): # generated from line 341, col 8
            target_url = VFFSL(SL,"extra",True)["key"];
            if VFFSL(SL,"target_url",True) not in ('ajax/at','ajax/bqe','ajax/settings'): # generated from line 343, col 9
                if 'nw' in VFFSL(SL,"extra",True): # generated from line 344, col 10
                    if VFFSL(SL,"extra",True)["nw"] == "1": # generated from line 345, col 11
                        write('''\t\t\t\t\t\t\t\t\t\t<li><a href="''')
                        _v = VFFSL(SL,"target_url",True) # '$target_url' on line 346, col 24
                        if _v is not None: write(_filter(_v, rawExpr='$target_url')) # from line 346, col 24.
                        write('''" target=\'_blank\'>''')
                        _v = VFFSL(SL,"extra",True)["description"] # '$extra["description"]' on line 346, col 53
                        if _v is not None: write(_filter(_v, rawExpr='$extra["description"]')) # from line 346, col 53.
                        write('''</a></li>
''')
                    else: # generated from line 347, col 11
                        write('''\t\t\t\t\t\t\t\t\t\t<li><a href="''')
                        _v = VFFSL(SL,"target_url",True) # '$target_url' on line 348, col 24
                        if _v is not None: write(_filter(_v, rawExpr='$target_url')) # from line 348, col 24.
                        write('''" class="lmc pop">''')
                        _v = VFFSL(SL,"extra",True)["description"] # '$extra["description"]' on line 348, col 53
                        if _v is not None: write(_filter(_v, rawExpr='$extra["description"]')) # from line 348, col 53.
                        write('''</a></li>
''')
                else: # generated from line 350, col 10
                    write('''\t\t\t\t\t\t\t\t\t\t<li><a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'''')
                    _v = VFFSL(SL,"target_url",True) # '$target_url' on line 351, col 90
                    if _v is not None: write(_filter(_v, rawExpr='$target_url')) # from line 351, col 90.
                    write('''\'); return false;" >''')
                    _v = VFFSL(SL,"extra",True)["description"] # '$extra["description"]' on line 351, col 121
                    if _v is not None: write(_filter(_v, rawExpr='$extra["description"]')) # from line 351, col 121.
                    write('''</a></li>
''')
        write('''\t\t\t\t\t\t\t\t<li><a href="#current">Channel Info</a></li>
\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t</li>
\t\t\t\t\t</ul>
\t\t\t\t</div>
\t\t\t\t<!-- #Menu -->
\t\t\t\t<!-- Footer -->
<!-- START COPYRIGHT -->
\t\t\t\t<!-- it is not allowed to remove this copyright and link when using the materialize (aka responsive) design for openwebif -->
\t\t\t\t<div class="legal" id="leftfooter">
\t\t\t\t\t<div class="copyright">
\t\t\t\t\t\tMaterialize design - <b>Version: </b> 1.2.0</br>
\t\t\t\t\t\t&copy; <a href="https://www.vuplus-support.org" target="_blank">VTi - vuplus-support.org</a>
\t\t\t\t\t</div>
\t\t\t\t</div>
<!-- END COPYRIGHT -->
\t\t\t\t<!-- #Footer -->
\t\t\t</aside>
\t\t\t<!-- #END# Left Sidebar -->
\t\t\t<aside id="rightsidebar" class="right-sidebar">
\t\t\t\t<ul class="nav nav-tabs tab-nav-right tab--skinned" role="tablist">
\t\t\t\t\t<li role="presentation" class="active">
\t\t\t\t\t\t<a href="#settings" data-toggle="tab">''')
        _v = VFFSL(SL,"tstrings",True)['config'] # "$tstrings['config']" on line 377, col 45
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['config']")) # from line 377, col 45.
        write('''</a>
\t\t\t\t\t</li>
\t\t\t\t\t<li role="presentation">
\t\t\t\t\t\t<a href="#skins" data-toggle="tab">''')
        _v = VFFSL(SL,"tstrings",True)['skins'] # "$tstrings['skins']" on line 380, col 42
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['skins']")) # from line 380, col 42.
        write('''</a>
\t\t\t\t\t</li>
\t\t\t\t</ul>
\t\t\t\t<div class="tab-content" style="overflow-y: auto;position: relative;height: 90vh;">
\t\t\t\t\t<div role="tabpanel" class="tab-pane fade in active in active" id="settings">
\t\t\t\t\t\t<div class="demo-settings">
\t\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['epgsearch'] # "$tstrings['epgsearch']" on line 386, col 11
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epgsearch']")) # from line 386, col 11.
        write('''</p>
\t\t\t\t\t\t\t<ul class="setting-list">
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['epgsearchextended'] # "$tstrings['epgsearchextended']" on line 389, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epgsearchextended']")) # from line 389, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="myepgbtn0" id="myepgbtn0" ''')
        _v = VFFSL(SL,"EPGSearchFull",True) # '$EPGSearchFull' on line 392, col 67
        if _v is not None: write(_filter(_v, rawExpr='$EPGSearchFull')) # from line 392, col 67.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['epgsearchbouquetsonly'] # "$tstrings['epgsearchbouquetsonly']" on line 398, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epgsearchbouquetsonly']")) # from line 398, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="myepgbtn1" id="myepgbtn1" ''')
        _v = VFFSL(SL,"EPGSearchBQonly",True) # '$EPGSearchBQonly' on line 401, col 67
        if _v is not None: write(_filter(_v, rawExpr='$EPGSearchBQonly')) # from line 401, col 67.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['moviesearch'] # "$tstrings['moviesearch']" on line 407, col 10
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['moviesearch']")) # from line 407, col 10.
        write('''</p>
\t\t\t\t\t\t\t<ul class="setting-list">
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['inc_shortdesc'] # "$tstrings['inc_shortdesc']" on line 410, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['inc_shortdesc']")) # from line 410, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="mymoviesearchbtn0" id="mymoviesearchbtn0" ''')
        _v = VFFSL(SL,"MovieSearchShort",True) # '$MovieSearchShort' on line 413, col 83
        if _v is not None: write(_filter(_v, rawExpr='$MovieSearchShort')) # from line 413, col 83.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['inc_extdesc'] # "$tstrings['inc_extdesc']" on line 419, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['inc_extdesc']")) # from line 419, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="mymoviesearchbtn1" id="mymoviesearchbtn1" ''')
        _v = VFFSL(SL,"MovieSearchExtended",True) # '$MovieSearchExtended' on line 422, col 83
        if _v is not None: write(_filter(_v, rawExpr='$MovieSearchExtended')) # from line 422, col 83.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t\t
\t\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['common_settings'] # "$tstrings['common_settings']" on line 429, col 11
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['common_settings']")) # from line 429, col 11.
        write('''</p>
\t\t\t\t\t\t\t<ul class="setting-list">
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['showfullremoteshort'] # "$tstrings['showfullremoteshort']" on line 432, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['showfullremoteshort']")) # from line 432, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="remotecontrolview" id="remotecontrolview" ''')
        _v = VFFSL(SL,"RemoteControlView",True) # '$RemoteControlView' on line 435, col 83
        if _v is not None: write(_filter(_v, rawExpr='$RemoteControlView')) # from line 435, col 83.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['min_movie_list'] # "$tstrings['min_movie_list']" on line 441, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['min_movie_list']")) # from line 441, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="minmovielist" id="minmovielist" ''')
        _v = VFFSL(SL,"MinMovieList",True) # '$MinMovieList' on line 444, col 73
        if _v is not None: write(_filter(_v, rawExpr='$MinMovieList')) # from line 444, col 73.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['min_timer_list'] # "$tstrings['min_timer_list']" on line 450, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['min_timer_list']")) # from line 450, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="mintimerlist" id="mintimerlist" ''')
        _v = VFFSL(SL,"MinTimerList",True) # '$MinTimerList' on line 453, col 73
        if _v is not None: write(_filter(_v, rawExpr='$MinTimerList')) # from line 453, col 73.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['min_epg_list'] # "$tstrings['min_epg_list']" on line 459, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['min_epg_list']")) # from line 459, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="minepglist" id="minepglist" ''')
        _v = VFFSL(SL,"MinEPGList",True) # '$MinEPGList' on line 462, col 69
        if _v is not None: write(_filter(_v, rawExpr='$MinEPGList')) # from line 462, col 69.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['now_next_columns'] # "$tstrings['now_next_columns']" on line 468, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['now_next_columns']")) # from line 468, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="nownext_columns" id="nownext_columns" ''')
        _v = VFFSL(SL,"useNowNextColumns",True) # '$useNowNextColumns' on line 471, col 79
        if _v is not None: write(_filter(_v, rawExpr='$useNowNextColumns')) # from line 471, col 79.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>XSPF ''')
        _v = VFFSL(SL,"tstrings",True)['playlistformat'] # "$tstrings['playlistformat']" on line 477, col 21
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['playlistformat']")) # from line 477, col 21.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="plformat" id="plformat">
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['zapbeforestream'] # "$tstrings['zapbeforestream']" on line 486, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['zapbeforestream']")) # from line 486, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="zapstream" id="zapstream" ''')
        _v = VFFSL(SL,"ZapStream",True) # '$ZapStream' on line 489, col 67
        if _v is not None: write(_filter(_v, rawExpr='$ZapStream')) # from line 489, col 67.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['show_iptv_channels_in_selection'] # "$tstrings['show_iptv_channels_in_selection']" on line 495, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['show_iptv_channels_in_selection']")) # from line 495, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="showiptvchannelsinselection" id="showiptvchannelsinselection" ''')
        _v = VFFSL(SL,"showIPTVChannelsInSelection",True) # '$showIPTVChannelsInSelection' on line 498, col 103
        if _v is not None: write(_filter(_v, rawExpr='$showIPTVChannelsInSelection')) # from line 498, col 103.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['use_channel_name_for_screenshots'] # "$tstrings['use_channel_name_for_screenshots']" on line 504, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['use_channel_name_for_screenshots']")) # from line 504, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="screenshotchannelname" id="screenshotchannelname" ''')
        _v = VFFSL(SL,"useSreenshotChannelName",True) # '$useSreenshotChannelName' on line 507, col 91
        if _v is not None: write(_filter(_v, rawExpr='$useSreenshotChannelName')) # from line 507, col 91.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['use_classic_design'] # "$tstrings['use_classic_design']" on line 513, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['use_classic_design']")) # from line 513, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="noresposive" id="noresposive">
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t\t
\t\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['channels'] # "$tstrings['channels']" on line 523, col 11
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['channels']")) # from line 523, col 11.
        write('''</p>
\t\t\t\t\t\t\t<ul class="setting-list">
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['show_picons'] # "$tstrings['show_picons']" on line 526, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['show_picons']")) # from line 526, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="showpicons" id="showpicons" ''')
        _v = VFFSL(SL,"showPicons",True) # '$showPicons' on line 529, col 69
        if _v is not None: write(_filter(_v, rawExpr='$showPicons')) # from line 529, col 69.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['show_picon_background'] # "$tstrings['show_picon_background']" on line 535, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['show_picon_background']")) # from line 535, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="showpiconbackground" id="showpiconbackground" ''')
        _v = VFFSL(SL,"showPiconBackground",True) # '$showPiconBackground' on line 538, col 87
        if _v is not None: write(_filter(_v, rawExpr='$showPiconBackground')) # from line 538, col 87.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div role="tabpanel" class="tab-pane fade" id="skins">
\t\t\t\t\t\t<ul class="setting-list" style="margin-bottom: 0;">
\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['gui_theme_mode'] # "$tstrings['gui_theme_mode']" on line 549, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['gui_theme_mode']")) # from line 549, col 15.
        write(''' - City Lights</span>
\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="themeMode" id="thememodebtn" value="city-lights" checked="''')
        _v = VFFSL(SL,"themeMode",True) != 'supabright' # "$(themeMode != 'supabright')" on line 552, col 98
        if _v is not None: write(_filter(_v, rawExpr="$(themeMode != 'supabright')")) # from line 552, col 98.
        write('''">
\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t</ul>
\t\t\t\t\t\t<ul class="skin-switcher">
''')
        for skinPrefOption in VFFSL(SL,"skinPrefOptions",True): # generated from line 559, col 1
            isChecked = ''
            if VFFSL(SL,"skinPrefOption",True)['value'] == VFFSL(SL,"skinColor",True): # generated from line 561, col 2
                isChecked = 'checked'
            write('''\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t<input type="radio" name="skinpref" value="''')
            _v = VFFSL(SL,"skinPrefOption",True)['value'] # "$skinPrefOption['value']" on line 566, col 53
            if _v is not None: write(_filter(_v, rawExpr="$skinPrefOption['value']")) # from line 566, col 53.
            write('''" ''')
            _v = VFFSL(SL,"isChecked",True) # '$isChecked' on line 566, col 79
            if _v is not None: write(_filter(_v, rawExpr='$isChecked')) # from line 566, col 79.
            write('''>
\t\t\t\t\t\t\t\t\t<span class="color-swatch swatch--''')
            _v = VFFSL(SL,"skinPrefOption",True)['value'] # "$skinPrefOption['value']" on line 567, col 44
            if _v is not None: write(_filter(_v, rawExpr="$skinPrefOption['value']")) # from line 567, col 44.
            write('''"></span>
\t\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"skinPrefOption",True)['label'] # "$skinPrefOption['label']" on line 568, col 10
            if _v is not None: write(_filter(_v, rawExpr="$skinPrefOption['label']")) # from line 568, col 10.
            write('''
\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t</li>
''')
        write('''\t\t\t\t\t\t</ul>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</aside>
\t\t\t<!-- #END# Right Sidebar -->
\t\t</section>
\t</span>

<section class="content" id="fullmaincontent">
\t\t<div class="container-fluid">
\t\t\t<div class="row clearfix">
\t\t\t\t<div id="content_container" style="position: relative; min-height: 90vh">''')
        _v = VFFSL(SL,"content",True) # '$content' on line 583, col 78
        if _v is not None: write(_filter(_v, rawExpr='$content')) # from line 583, col 78.
        write('''</div>
\t\t\t</div>
\t\t\t<span id="mainfooter">
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t\t\t\t\t\t<div class="card">
\t\t\t\t\t\t\t<div class="body text-center">
\t\t\t\t\t\t\t\t<div id="footer">
\t\t\t\t\t\t\t\t\t<a href="https://github.com/E2OpenPlugins" target="_blank" class="link--skinned" rel="noreferrer noopener">E2OpenPlugins</a> | 
\t\t\t\t\t\t\t\t\t<a href="https://www.opena.tv" target="_blank" class="link--skinned" rel="noreferrer noopener">openATV</a> | 
\t\t\t\t\t\t\t\t\t<a href="https://www.vuplus-community.net" target="_blank" class="link--skinned" rel="noreferrer noopener">Black Hole</a> | 
\t\t\t\t\t\t\t\t\t<a href="http://www.droidsat.org" target="_blank" class="link--skinned" rel="noreferrer noopener">OpenDroid</a> | 
\t\t\t\t\t\t\t\t\t<a href="https://www.egami-image.com" target="_blank" class="link--skinned" rel="noreferrer noopener">EGAMI</a> | 
\t\t\t\t\t\t\t\t\t<a href="https://www.hdfreaks.cc" target="_blank" class="link--skinned" rel="noreferrer noopener">OpenHDF</a> | 
\t\t\t\t\t\t\t\t\t<a href="https://images.teamblue.tech" target="_blank" class="link--skinned" rel="noreferrer noopener">teamBlue</a> | 
\t\t\t\t\t\t\t\t\t<a href="https://openpli.org" target="_blank" class="link--skinned" rel="noreferrer noopener">OpenPli</a> | 
\t\t\t\t\t\t\t\t\t<a href="https://forum.sifteam.eu" target="_blank" class="link--skinned" rel="noreferrer noopener">Sif</a> | 
\t\t\t\t\t\t\t\t\t<a href="https://openspa.info" target="_blank" class="link--skinned" rel="noreferrer noopener">OpenSpa</a> | 
\t\t\t\t\t\t\t\t\t<a href="https://www.openvix.co.uk" target="_blank" class="link--skinned" rel="noreferrer noopener">OpenViX</a> | 
\t\t\t\t\t\t\t\t\t<b><a href="https://www.vuplus-support.org" target="_blank" class="link--skinned" rel="noreferrer noopener">VTi</a></b> | 
\t\t\t\t\t\t\t\t\t<a href="#about" class="link--skinned" rel="noreferrer noopener">''')
        _v = VFFSL(SL,"tstrings",True)['about'] # "$tstrings['about']" on line 603, col 75
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['about']")) # from line 603, col 75.
        write('''</a>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</span>
\t\t</div>
\t</section>

<!---<div id="modaldialog"></div>-->
<div id="responsivespinner"></div>
<div id="OwifVersionModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header bg--skinned">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t\t<span class="modal-title">OpenWebif Version Information</span>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<div>Version: ''')
        _v = VFFSL(SL,"OPENWEBIFVER",True) # '$OPENWEBIFVER' on line 625, col 19
        if _v is not None: write(_filter(_v, rawExpr='$OPENWEBIFVER')) # from line 625, col 19.
        write('''</div>
\t\t\t\t<div>Package Version: ''')
        _v = VFFSL(SL,"OPENWEBIFPACKAGEVERSION",True) # '$OPENWEBIFPACKAGEVERSION' on line 626, col 27
        if _v is not None: write(_filter(_v, rawExpr='$OPENWEBIFPACKAGEVERSION')) # from line 626, col 27.
        write('''</div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 629, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 629, col 85.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="TimerConflictModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header bg-red m-b-10" style="padding: 20px 20px 15px;">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t\t<h4 class="modal-title">
\t\t\t\t\t<i class="material-icons material-icons-centered">error_outline</i>
\t\t\t\t\t<span>Timer conflict</span><!-- TODO: i10n -->
\t\t\t\t</h4>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<div id="timerconflictmodal"></div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 650, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 650, col 85.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="StreamModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header bg--skinned">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t\t<span class="modal-title"><i class="material-icons material-icons-centered">wifi_tethering</i>&nbsp;Streams</span>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<ul>
\t\t\t\t\t\t<div id="streammodalcontent"></div>
\t\t\t\t\t</ul>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 670, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 670, col 85.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="RecModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header bg--skinned">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t\t<h4 class="modal-title"><i class="material-icons material-icons-centered">alarm</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['timers'] # "$tstrings['timers']" on line 682, col 94
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['timers']")) # from line 682, col 94.
        write('''</span></h4>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<ul>
\t\t\t\t\t\t<div id="recmodalcontent"></div>
\t\t\t\t\t</ul>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 690, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 690, col 85.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="editTimerForm" title="''')
        _v = VFFSL(SL,"tstrings",True)['edit_timer'] # "$tstrings['edit_timer']" on line 695, col 32
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['edit_timer']")) # from line 695, col 32.
        write('''"></div>
<div id="EPGModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t\t<h4 class="modal-title"><i class="material-icons material-icons-centered">view_list</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['epg'] # "$tstrings['epg']" on line 703, col 98
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epg']")) # from line 703, col 98.
        write('''</span></h4>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<div id="epgmodalcontent"></div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 709, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 709, col 85.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="EventModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<div id="eventdescriptionII"></div>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 726, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 726, col 85.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="TimerModal" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t\t<h4 class="modal-title" id="timerEditTitle"></h4>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<div id="timereditmodal"></div>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 744, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 744, col 85.
        write('''</button>
\t\t\t\t<button type="button" class="btn waves-effect responsivebtn btn--skinned" data-dismiss="modal" onclick="btn_saveTimer(); return false;">''')
        _v = VFFSL(SL,"tstrings",True)['save'] # "$tstrings['save']" on line 745, col 141
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['save']")) # from line 745, col 141.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="PowerModal" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t\t<h4 class="modal-title"><i class="material-icons material-icons-centered">settings_power</i><span>''')
        _v = VFN(VFFSL(SL,"tstrings",True)['powercontrol'],"replace",False)(" ","&nbsp;") # '$tstrings[\'powercontrol\'].replace(" ","&nbsp;")' on line 757, col 103
        if _v is not None: write(_filter(_v, rawExpr='$tstrings[\'powercontrol\'].replace(" ","&nbsp;")')) # from line 757, col 103.
        write('''</span></h4>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<div class="row clearfix m-t-20">
\t\t\t\t\t<div class="col-xs-6 align-right">
\t\t\t\t\t\t<button type="button" onclick="handle_power_state_dialog(new_power_state = 0); return false;" class="btn waves-effect responsivebtn responsivebtnpower btn--skinned" data-dismiss="modal">
\t\t\t\t\t\t\t<h4>
\t\t\t\t\t\t\t\t<i class="material-icons">power_settings_new</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['standby_toggle'] # "$tstrings['standby_toggle']" on line 765, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['standby_toggle']")) # from line 765, col 15.
        write('''</span>
\t\t\t\t\t\t\t</h4>
\t\t\t\t\t\t</button>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-6 align-left">
\t\t\t\t\t\t<button type="button" onclick="handle_power_state_dialog(new_power_state = 1); return false;" class="btn waves-effect responsivebtn responsivebtnpower btn--skinned" data-dismiss="modal">
\t\t\t\t\t\t\t<h4>
\t\t\t\t\t\t\t\t<i class="material-icons">vertical_align_bottom</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['deep_standby'] # "$tstrings['deep_standby']" on line 773, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['deep_standby']")) # from line 773, col 15.
        write('''</span>
\t\t\t\t\t\t\t</h4>
\t\t\t\t\t\t</button>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<hr/>
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-6 align-right">
\t\t\t\t\t\t<button type="button" onclick="handle_power_state_dialog(new_power_state = 2); return false;" class="btn waves-effect responsivebtn responsivebtnpower btn--skinned" data-dismiss="modal">
\t\t\t\t\t\t\t<h4>
\t\t\t\t\t\t\t\t<i class="material-icons">loop</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['reboot_box'] # "$tstrings['reboot_box']" on line 784, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['reboot_box']")) # from line 784, col 15.
        write('''</span>
\t\t\t\t\t\t\t</h4>
\t\t\t\t\t\t</button>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-6 align-left">
\t\t\t\t\t\t<button type="button" onclick="handle_power_state_dialog(new_power_state = 3); return false" class="btn waves-effect responsivebtn responsivebtnpower btn--skinned" class="link--skinned" data-dismiss="modal">
\t\t\t\t\t\t\t<h4>
\t\t\t\t\t\t\t\t<i class="material-icons">settings_backup_restore</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['restart_gui'] # "$tstrings['restart_gui']" on line 792, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['restart_gui']")) # from line 792, col 15.
        write('''</span>
\t\t\t\t\t\t\t</h4>
\t\t\t\t\t\t</button>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<div class="row clearfix">
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" onclick="closeMessageModal(); return false;" class="btn btn-default waves-effect" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 801, col 130
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 801, col 130.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="SendMessageModal" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" onclick="closeMessageModal(); return false;" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t\t\t\t\t<div class="card">
\t\t\t\t\t\t<div class="header">
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<h2><i class="material-icons material-icons-centered">message</i>''')
        _v = VFN(VFFSL(SL,"tstrings",True)['sendamessage'],"replace",False)(" ","&nbsp;") # '$tstrings[\'sendamessage\'].replace(" ","&nbsp;")' on line 820, col 75
        if _v is not None: write(_filter(_v, rawExpr='$tstrings[\'sendamessage\'].replace(" ","&nbsp;")')) # from line 820, col 75.
        write('''</h2>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="body">
\t\t\t\t\t\t\t<div class="form-group">
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-3 align-right">
\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['text'] # "$tstrings['text']" on line 828, col 19
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['text']")) # from line 828, col 19.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-9">
\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t<textarea class="form-control no-resize auto-growth active" rows="1" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['text'] # "$tstrings['text']" on line 832, col 94
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['text']")) # from line 832, col 94.
        write('''" id="messageText"></textarea>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-3 align-right">
\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['display_duration_s'] # "$tstrings['display_duration_s']" on line 838, col 19
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['display_duration_s']")) # from line 838, col 19.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-9">
\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t<input type="text" name="messageTimeout" id="messageTimeout" value="30" class="form-control inactive">
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-3 align-right">
\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['type'] # "$tstrings['type']" on line 848, col 19
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['type']")) # from line 848, col 19.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-9">
\t\t\t\t\t\t\t\t\t\t<select id="messageType" class="form-control">
\t\t\t\t\t\t\t\t\t\t\t<option value="1">''')
        _v = VFFSL(SL,"tstrings",True)['info'] # "$tstrings['info']" on line 852, col 30
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['info']")) # from line 852, col 30.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t<option value="2">''')
        _v = VFFSL(SL,"tstrings",True)['warning'] # "$tstrings['warning']" on line 853, col 30
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['warning']")) # from line 853, col 30.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t<option value="3">''')
        _v = VFFSL(SL,"tstrings",True)['error'] # "$tstrings['error']" on line 854, col 30
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['error']")) # from line 854, col 30.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t<option value="0">''')
        _v = VFFSL(SL,"tstrings",True)['yes_no'] # "$tstrings['yes_no']" on line 855, col 30
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['yes_no']")) # from line 855, col 30.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t\t<div id="messageSentResponse"></div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" onclick="closeMessageModal(); return false;" class="btn btn-default waves-effect" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 870, col 130
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 870, col 130.
        write('''</button>
\t\t\t\t<button type="button" onclick="sendModalMessage(); return false;" class="btn waves-effect responsivebtn btn--skinned">''')
        _v = VFN(VFFSL(SL,"tstrings",True)['sendamessage'],"replace",False)(" ","&nbsp;") # '$tstrings[\'sendamessage\'].replace(" ","&nbsp;")' on line 871, col 123
        if _v is not None: write(_filter(_v, rawExpr='$tstrings[\'sendamessage\'].replace(" ","&nbsp;")')) # from line 871, col 123.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<form name="portForm" action="web/stream.m3u" method="GET" target="_blank">
\t<input type="hidden" name="ref">
\t<input type="hidden" name="name">
\t<input type="hidden" name="fname">
\t<input type="hidden" name="device">
</form>
<form name="portFormTs" action="web/ts.m3u" method="GET" target="_blank">
\t<input type="hidden" name="file">
\t<input type="hidden" name="device">
</form>

<script>
\t$(document).ready(function() {
\t\t$("#remote_container").load("static/remotes/''')
        _v = VFFSL(SL,"remote",True) # '${remote}' on line 890, col 48
        if _v is not None: write(_filter(_v, rawExpr='${remote}')) # from line 890, col 48.
        write('''.html");
\t\tdirectlink();
\t});
\tSetLSValue(\'TimerListOffset\',0);
</script>
<script src="/modern/plugins/bootstrap/js/bootstrap.min.js"></script>
<script src="/modern/plugins/bootstrap-select/js/bootstrap-select.min.js"></script>
<script src="/modern/plugins/autosize/autosize.min.js"></script>
<script src="/modern/plugins/node-waves/waves.min.js"></script>
<script src="/modern/plugins/nouislider/nouislider.min.js"></script>
<script src="/modern/plugins/sweetalert/sweetalert.min.js"></script>
<script src="/modern/plugins/momentjs/moment.min.js"></script>
<script src="/modern/plugins/screenfull/screenfull.min.js"></script>
<script src="/modern/js/entry-app.js"></script>
<script src="/modern/js/vti-bootstrap-date-timepicker.min.js"></script>
<script src="/modern/js/admin.min.js"></script>
<script src="/modern/js/vti-responsive.min.js"></script>
<script>initJsTranslationAddon(''')
        _v = VFFSL(SL,"dumps",False)(VFFSL(SL,"tstrings",True)) # '$dumps($tstrings)' on line 907, col 32
        if _v is not None: write(_filter(_v, rawExpr='$dumps($tstrings)')) # from line 907, col 32.
        write(''')</script>

<script>
\tjQuery(document).ready(function() {
\t\tjQuery(\'#noresposive\').change(function () {
\t\t\tjQuery.ajax({
\t\t\t\turl: "api/setwebconfig?responsivedesign=false",
\t\t\t\tsuccess: function() {
\t\t\t\t\twindow.location.hash = \'\';
\t\t\t\t\twindow.location.reload(true);
\t\t\t\t}
\t\t\t});
\t\t});
\t\tvar pl = GetLSValue(\'pl\',\'m3u\');
\t\tjQuery(\'#plformat\').prop(\'checked\',( pl != \'m3u\'));
\t\tjQuery("#plformat").change(function() {
\t\t\tvar val = jQuery(this).is(":checked") ? \'xspf\' : \'m3u\'
\t\t\tSetLSValue(\'pl\',val);
\t\t});
\t});
</script>
''')
        if VFFSL(SL,"USERCSSRESPONSIVE",True) != '': # generated from line 928, col 1
            write('''<style>
''')
            _v = VFFSL(SL,"USERCSSRESPONSIVE",True) # '$USERCSSRESPONSIVE' on line 930, col 1
            if _v is not None: write(_filter(_v, rawExpr='$USERCSSRESPONSIVE')) # from line 930, col 1.
            write('''
</style>
''')
        write('''</body>
</html>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_main = 'respond'

## END CLASS DEFINITION

if not hasattr(main, '_initCheetahAttributes'):
    templateAPIClass = getattr(main,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(main)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=main()).run()


